Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590635 - VLA: gdb.base/vla-overflow.exp FAIL on s390x (GDB internal error)
Summary: VLA: gdb.base/vla-overflow.exp FAIL on s390x (GDB internal error)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdb
Version: 6.0
Hardware: s390x
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jan Kratochvil
QA Contact: Petr Muller
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 11:32 UTC by Petr Muller
Modified: 2016-09-20 02:06 UTC (History)
3 users (show)

Fixed In Version: gdb-7.1-19.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 20:26:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Petr Muller 2010-05-10 11:32:19 UTC
Description of problem:
gdb.base/vla-overflow.exp testcase was suggested to be run as part of
'VLA' feature testing for RHEL6. This testcase has two fails on s390x architecture:

Running ./gdb.base/vla-overflow.exp ...
FAIL: gdb.base/vla-overflow.exp: Enter abort() (GDB internal error)
FAIL: gdb.base/vla-overflow.exp: Backtrace after abort() (GDB internal error)

details in log:
./../gdb/utils.c:1251: internal-error: virtual memory exhausted: can't allocate 135456 bytes.^M
A problem internal to GDB has been detected,^M
further debugging may prove unreliable.^M
Quit this debugging session? (y or n) FAIL: gdb.base/vla-overflow.exp: Enter abort() (GDB internal error)

Version-Release number of selected component (if applicable):
gdb-7.1-18

How reproducible:
always

Steps to Reproduce:
1. runtest --tool=gdb gdb.base/vla-overflow.exp
2.
3.
  
Actual results:
# of unexpected failures        2

Expected results:
# of expected passes            2

Additional info:

Comment 1 Jan Kratochvil 2010-05-12 15:33:33 UTC
OK, reproduced (with glibc-debuginfo.s390x).

It is a bit fragily test but not sure what to do with it to keep it meaningful:
There was:
set mb_reserve 10
s390x now uses 16204KB, I will increase it for example to:
set mb_reserve 40

qa_ack, please.

Comment 2 RHEL Product and Program Management 2010-05-12 16:54:29 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Petr Muller 2010-08-03 14:33:46 UTC
# of expected passes            2

Comment 5 releng-rhel@redhat.com 2010-11-10 20:26:04 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.